> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user detailed analytics data 

> Get detailed user data like user activities, xp, enrollments, etc. using this resolver.

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 60 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-user-detailed-analytics-data
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-user-detailed-analytics-data:
    post:
      tags:
        - User
      summary: 'Get user detailed analytics data '
      description: >-
        Get detailed user data like user activities, xp, enrollments, etc. using
        this resolver.


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 60 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          userId:
                            type: string
                            description: >-
                              Internal userId you have been using for the user
                              in your database
                          userEmail:
                            type: string
                            format: email
                            description: Email of the user
                          fermionUserId:
                            type: string
                            description: Fermion provided user ID of the user.
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                details:
                                  type: object
                                  properties:
                                    personalData:
                                      type: object
                                      properties:
                                        userId:
                                          anyOf:
                                            - type: string
                                            - nullable: true
                                            - nullable: true
                                          description: >-
                                            Internal userId you have been using for
                                            the user in your database. Null if not
                                            present
                                        fermionUserId:
                                          type: string
                                          description: Fermion provided user ID of the user.
                                        email:
                                          anyOf:
                                            - type: string
                                              format: email
                                            - nullable: true
                                            - nullable: true
                                          description: Email address of the user
                                        createdAtIso:
                                          type: string
                                          format: date-time
                                          description: Timestamp when the user was created
                                        lastSeenAtIso:
                                          anyOf:
                                            - type: string
                                              format: date-time
                                            - nullable: true
                                            - nullable: true
                                          description: >-
                                            Timestamp when the user was last seen
                                            using the platform
                                        name:
                                          type: string
                                          minLength: 2
                                          maxLength: 100
                                          description: Name of the user
                                        profilePicUrl:
                                          type: string
                                          format: uri
                                          description: URL of the user's profile picture
                                      required:
                                        - userId
                                        - fermionUserId
                                        - email
                                        - createdAtIso
                                        - lastSeenAtIso
                                        - name
                                        - profilePicUrl
                                    productEnrollmentsData:
                                      type: array
                                      items:
                                        allOf:
                                          - type: object
                                            properties:
                                              productId:
                                                type: string
                                                minLength: 1
                                                description: Unique identifier of the product
                                              productName:
                                                type: string
                                                minLength: 1
                                                description: Name of the product
                                              productSlug:
                                                type: string
                                                minLength: 1
                                                description: URL-friendly identifier of the product
                                              enrolledAtIso:
                                                type: string
                                                format: date-time
                                                description: >-
                                                  Timestamp when the user enrolled in the
                                                  product
                                            required:
                                              - productId
                                              - productName
                                              - productSlug
                                              - enrolledAtIso
                                          - anyOf:
                                              - type: object
                                                properties:
                                                  productType:
                                                    type: string
                                                    enum:
                                                      - FermionCourse
                                                    description: Type of product - Course
                                                  completionPercentageOutOf100:
                                                    type: number
                                                    minimum: 0
                                                    maximum: 100
                                                    description: Course completion percentage (0-100)
                                                  certificateClaimedAtIso:
                                                    anyOf:
                                                      - type: string
                                                        format: date-time
                                                      - nullable: true
                                                      - nullable: true
                                                    description: >-
                                                      Timestamp when the course certificate
                                                      was claimed, null if not claimed
                                                required:
                                                  - productType
                                                  - completionPercentageOutOf100
                                                  - certificateClaimedAtIso
                                              - type: object
                                                properties:
                                                  productType:
                                                    type: string
                                                    enum:
                                                      - FermionBundle
                                                    description: Type of product - Bundle
                                                  completionPercentageOutOf100:
                                                    type: number
                                                    minimum: 0
                                                    maximum: 100
                                                    description: Bundle completion percentage (0-100)
                                                required:
                                                  - productType
                                                  - completionPercentageOutOf100
                                              - type: object
                                                properties:
                                                  productType:
                                                    type: string
                                                    enum:
                                                      - DownloadableProduct
                                                      - Ebook
                                                      - FermionContest
                                                      - LiveEventProduct
                                                      - OneToOneInstructorCall
                                                      - InstantCall
                                                    description: Type of product - Other digital products
                                                required:
                                                  - productType
                                      description: List of products the user is enrolled in
                                    activityData:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          dateIso:
                                            type: string
                                            format: date-time
                                            description: Date of the activity
                                          minutesSpent:
                                            type: number
                                            minimum: 0
                                            description: Number of minutes spent on the platform
                                          xpEarned:
                                            type: number
                                            description: XP points earned on this date
                                        required:
                                          - dateIso
                                          - minutesSpent
                                          - xpEarned
                                      description: >-
                                        Daily activity data including time spent
                                        and XP earned
                                  required:
                                    - personalData
                                    - productEnrollmentsData
                                    - activityData
                              required:
                                - details
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````